# $Revision: 1.127 $, $Date: 2011/09/27 09:15:22 $
#
# NOTE
# - happy, alex needed only when using darcs checkout or regenerating parsers
#   http://hackage.haskell.org/trac/ghc/wiki/Building/Prerequisites
#
# - http://hackage.haskell.org/trac/ghc/wiki/Building/Porting
#
# TODO:
#	- teach ghc toolchain to always use ld.bfd,
#		or fix ld.gold to be usable for anything else than c/c++
#
# Conditional build:
%bcond_with	bootstrap	# use foreign (non-rpm) ghc to bootstrap (extra 140MB to download)
%bcond_with	unregistered	# non-registerised interpreter (use for build problems/new arches)
%bcond_without	doc		# don't build documentation (requires haddock)

Summary:	Glasgow Haskell Compilation system
Summary(pl.UTF-8):	System kompilacji Glasgow Haskell
Name:		ghc
Version:	7.2.1
Release:	2
License:	BSD-like w/o adv. clause
Group:		Development/Languages
Source0:	http://haskell.org/ghc/dist/%{version}/%{name}-%{version}-src.tar.bz2
# Source0-md5:	c2a6d1ce13b6bb95fa2d743a143835eb
%if %{with bootstrap}
Source3:	http://haskell.org/ghc/dist/%{version}/%{name}-%{version}-i386-unknown-linux.tar.bz2
# Source3-md5:	4acab40f8f14b6f338b6c60120fdc9fe
Source4:	http://haskell.org/ghc/dist/%{version}/%{name}-%{version}-x86_64-unknown-linux.tar.bz2
# Source4-md5:	f44bbc320613c6e26631b6d8674a2f1c
%endif
Patch0:		%{name}-pld.patch
Patch1:		%{name}-pkgdir.patch
Patch2:		%{name}-winpaths.patch
URL:		http://haskell.org/ghc/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
%{!?with_bootstrap:BuildRequires:	alex >= 2.0}
BuildRequires:	freealut-devel
%{!?with_bootstrap:BuildRequires:	ghc >= 6.8}
BuildRequires:	gmp-devel
%{!?with_bootstrap:BuildRequires:	happy >= 1.16}
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.607
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	dblatex
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	texlive
BuildRequires:	texlive-dvips
BuildRequires:	texlive-fonts-rsfs
BuildRequires:	texlive-latex-bibtex
#For generating documentation in PDF: fop or xmltex
%endif
Suggests:	ghc-haskell-platform
Provides:	haddock
Obsoletes:	haddock
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# There is nothing that may or should be compressed
%define		_noautocompressdoc	*

%description
Haskell is the standard lazy purely functional programming language.
The current language version is Haskell 98, agreed in December 1998,
with a revised version published in January 2003.

GHC is a state-of-the-art programming suite for Haskell. Included is
an optimising compiler generating good code for a variety of
platforms, together with an interactive system for convenient, quick
development. The distribution includes space and time profiling
facilities, a large collection of libraries, and support for various
language extensions, including concurrency, exceptions, and foreign
language interfaces (C, C++, whatever).

A wide variety of Haskell related resources (tutorials, libraries,
specifications, documentation, compilers, interpreters, references,
contact information, links to research groups) are available from the
Haskell home page at <http://haskell.org/>.

%description -l pl.UTF-8
Haskell to standardowy leniwy i czysto funkcyjny język programowania.
Bieżącą wersją języka jest Haskell 98, uzgodniony w grudniu 1998, ze
zmodyfikowaną wersją opublikowaną w styczniu 2003.

GHC to dojrzałe i nowoczesne środowisko do programowania w Haskellu.
Zawiera optymalizujący kompilator generujący dobry kod dla różnych
platform, wraz z interakcyjnym systemem do wygodnego
eksperymentowania. Dystrybucja zawiera narzędzia do profilowania
zużycia pamięci i czasu, sporą kolekcję bibliotek i wsparcie dla
różnych rozszerzeń języka, w tym współbieżności, wyjątków i łączenia z
innymi językami (np. C albo C++).

Różnorodne zasoby związane z Haskellem (podręczniki, biblioteki,
specyfikacje, dokumentacja, kompilatory, interpretery, literatura,
informacje kontaktowe, odsyłacze do grup naukowo-badawczych) są
dostępne ze strony domowej Haskella pod <http://haskell.org/>.

%package prof
Summary:	Profiling libraries for GHC
Summary(pl.UTF-8):	Biblioteki profilujące dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description prof
Profiling libraries for Glorious Glasgow Haskell Compilation System
(GHC). They should be installed when GHC's profiling subsystem is
needed.

%description prof -l pl.UTF-8
Biblioteki profilujące dla GHC. Powinny być zainstalowane kiedy
potrzebujemy systemu profilującego z GHC.

%prep
%setup -q
%if %{with bootstrap}
%ifarch %{ix86}
%{__tar} -xjf %{SOURCE3}
%endif
%ifarch %{x8664}
%{__tar} -xjf %{SOURCE4}
%endif
mv %{name}-%{version} binsrc
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# use ld.bfd
install -d our-ld
ln -s %{_bindir}/ld.bfd our-ld/ld
export PATH=$(pwd)/our-ld:$PATH

%{__autoconf}
cd libraries/terminfo
%{__autoconf}
cd -

cat <<'EOF' > mk/build.mk
#GhcStage1HcOpts += -O0 -Wall
#GhcStage2HcOpts += -O0 -Wall
#SRC_HC_OPTS      += -lffi -O0 -H64m
#GhcHcOpts        += -Rghc-timing
#GhcLibHcOpts     += -O -dcore-lint -keep-hc-files
#SplitObjs        += NO
PlatformSupportsSharedLibs = YES
HADDOCK_DOCS        = %{!?with_doc:NO}%{?with_doc:YES}
LATEX_DOCS          = %{!?with_doc:NO}%{?with_doc:YES}
BUILD_DOCBOOK_HTMLS = %{!?with_doc:NO}%{?with_doc:YES}
BUILD_DOCBOOK_PDFS  = %{!?with_doc:NO}%{?with_doc:YES}
XSLTPROC_OPTS       += --nonet
EOF

%if %{with unregistered}
# An unregisterised build is one that compiles via vanilla C only
# http://hackage.haskell.org/trac/ghc/wiki/Building/Unregisterised
cat <<'EOF' >> mk/build.mk
GhcUnregisterised=YES
GhcWithNativeCodeGen=NO
SplitObjs=NO
EOF
%endif

top=$(pwd)
%if %{with bootstrap}
# we need to first install the tarball somewhere, as seems the programs don't
# work out of the path otherwise
if [ ! -f .bindist.install.mark ]; then
	top=$(pwd)
	cd binsrc
	./configure \
		--prefix=$top/bindist
	%{__make} install \
		LATEX_DOCS=NO \
		HADDOCK_DOCS=NO
	cd ..

	touch .bindist.install.mark
fi

PATH=$top/bindist/bin:$PATH:%{_prefix}/local/bin
%endif

%configure \
	--target=%{_target_platform} \
	--prefix=%{_prefix} \
	--with-gcc="%{__cc}" \
%if %{with bootstrap}
	GhcPkgCmd=$top/bindist/bin/ghc-pkg \
%endif
%if %{with bootstrap2}
	--with-ghc=$top/bindist/bin/ghc \
%endif
%if %{with bootstrap1}
	--with-hc=$PWD/bindist/bin/ghc \
	--with-ghc=$PWD/bindist/ghc/dist-stage2/build/ghc/ghc \
	--with-hc=$PWD/bindist/ghc/dist-stage2/build/ghc/ghc \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
rm -rf docs-root

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a $RPM_BUILD_ROOT%{_datadir}/doc/%{name} docs-root
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

# fix paths to docs in package list
sed -i -e 's|%{_datadir}/doc/%{name}|%{_docdir}/%{name}-%{version}|g' $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/package.conf.d/*.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
if [ "$1" != 0 ]; then
	%ghc_pkg_recache
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README
%if %{with doc}
%doc docs/comm
%doc docs-root/html
%doc docs-root/*.pdf
%endif
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ghc-%{version}
%{_libdir}/ghc-%{version}/include
%{_libdir}/ghc-%{version}/settings
%attr(755,root,root) %{_libdir}/ghc-%{version}/ghc
%attr(755,root,root) %{_libdir}/ghc-%{version}/ghc-pkg
%attr(755,root,root) %{_libdir}/ghc-%{version}/ghc-split
%attr(755,root,root) %{_libdir}/ghc-%{version}/haddock
%attr(755,root,root) %{_libdir}/ghc-%{version}/hsc2hs
%attr(755,root,root) %{_libdir}/ghc-%{version}/runghc
%attr(755,root,root) %{_libdir}/ghc-%{version}/unlit
%{_libdir}/ghc-%{version}/libHS*.a
%exclude %{_libdir}/ghc-%{version}/libHS*_p.a
%ifarch %{ix86} %{x8664} ppc ppc64 sparc sparcv9 sparc64
%{_libdir}/ghc-%{version}/HS*.o
%endif
%{_libdir}/ghc-%{version}/ghc*-usage.txt
%{_libdir}/ghc-%{version}/html
%dir %{_libdir}/ghc-%{version}/package.conf.d
%{_libdir}/ghc-%{version}/package.conf.d/*.conf
%config %verify(not md5 mtime size) %{_libdir}/ghc-%{version}/package.conf.d/package.cache
%{_libdir}/ghc-%{version}/template-hsc.h
%dir %{_libdir}/ghc-%{version}/latex
%{_libdir}/ghc-%{version}/latex/haddock.sty
%{_mandir}/man1/ghc.1*

%dir %{_libdir}/ghc-%{version}/array-*
%dir %{_libdir}/ghc-%{version}/array-*/Data
%dir %{_libdir}/ghc-%{version}/array-*/Data/Array
%{_libdir}/ghc-%{version}/array-*/Data/Array/*.hi
%dir %{_libdir}/ghc-%{version}/array-*/Data/Array/IO
%{_libdir}/ghc-%{version}/array-*/Data/Array/IO/*.hi
%{_libdir}/ghc-%{version}/array-*/Data/*.hi
%{_libdir}/ghc-%{version}/array-*/HSarray-*.o
%{_libdir}/ghc-%{version}/array-*/libHSarray-*.a
%exclude %{_libdir}/ghc-%{version}/array-*/libHSarray-*_p.a

%dir %{_libdir}/ghc-%{version}/base-*
%dir %{_libdir}/ghc-%{version}/base-*/Control
%dir %{_libdir}/ghc-%{version}/base-*/Control/Concurrent
%{_libdir}/ghc-%{version}/base-*/Control/Concurrent/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Control/Exception
%{_libdir}/ghc-%{version}/base-*/Control/Exception/*.hi
%{_libdir}/ghc-%{version}/base-*/Control/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Control/Monad
%{_libdir}/ghc-%{version}/base-*/Control/Monad/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Control/Monad/ST
%{_libdir}/ghc-%{version}/base-*/Control/Monad/ST/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Control/Monad/ST/Lazy
%{_libdir}/ghc-%{version}/base-*/Control/Monad/ST/Lazy/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Data
%{_libdir}/ghc-%{version}/base-*/Data/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Data/STRef
%{_libdir}/ghc-%{version}/base-*/Data/STRef/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Data/Typeable
%{_libdir}/ghc-%{version}/base-*/Data/Typeable/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Debug
%{_libdir}/ghc-%{version}/base-*/Debug/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Foreign
%{_libdir}/ghc-%{version}/base-*/Foreign/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Foreign/C
%{_libdir}/ghc-%{version}/base-*/Foreign/C/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Foreign/ForeignPtr
%{_libdir}/ghc-%{version}/base-*/Foreign/ForeignPtr/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Foreign/Marshal
%{_libdir}/ghc-%{version}/base-*/Foreign/Marshal/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC
%{_libdir}/ghc-%{version}/base-*/GHC/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/Conc
%{_libdir}/ghc-%{version}/base-*/GHC/Conc/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/IO
%{_libdir}/ghc-%{version}/base-*/GHC/IO/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/IO/Encoding
%{_libdir}/ghc-%{version}/base-*/GHC/IO/Encoding/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/Event
%{_libdir}/ghc-%{version}/base-*/GHC/Event/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/Fingerprint
%{_libdir}/ghc-%{version}/base-*/GHC/Fingerprint/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/Float
%{_libdir}/ghc-%{version}/base-*/GHC/Float/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/GHC/IO/Handle
%{_libdir}/ghc-%{version}/base-*/GHC/IO/Handle/*.hi
%{_libdir}/ghc-%{version}/base-*/*.hi
%{_libdir}/ghc-%{version}/base-*/HSbase-*.o
%{_libdir}/ghc-%{version}/base-*/include
%{_libdir}/ghc-%{version}/base-*/libHSbase-*.a
%exclude %{_libdir}/ghc-%{version}/base-*/libHSbase-*_p.a
%dir %{_libdir}/ghc-%{version}/base-*/System
%dir %{_libdir}/ghc-%{version}/base-*/System/Console
%{_libdir}/ghc-%{version}/base-*/System/Console/*.hi
%{_libdir}/ghc-%{version}/base-*/System/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/System/IO
%{_libdir}/ghc-%{version}/base-*/System/IO/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/System/Mem
%{_libdir}/ghc-%{version}/base-*/System/Mem/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/System/Posix
%{_libdir}/ghc-%{version}/base-*/System/Posix/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Text
%{_libdir}/ghc-%{version}/base-*/Text/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Text/ParserCombinators
%{_libdir}/ghc-%{version}/base-*/Text/ParserCombinators/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Text/Read
%{_libdir}/ghc-%{version}/base-*/Text/Read/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Text/Show
%{_libdir}/ghc-%{version}/base-*/Text/Show/*.hi
%dir %{_libdir}/ghc-%{version}/base-*/Unsafe
%{_libdir}/ghc-%{version}/base-*/Unsafe/*.hi

%dir %{_libdir}/ghc-%{version}/bin-package-db-*
%dir %{_libdir}/ghc-%{version}/bin-package-db-*/Distribution
%dir %{_libdir}/ghc-%{version}/bin-package-db-*/Distribution/InstalledPackageInfo
%{_libdir}/ghc-%{version}/bin-package-db-*/Distribution/InstalledPackageInfo/*.hi
%{_libdir}/ghc-%{version}/bin-package-db-*/HSbin-package-db-*.o
%{_libdir}/ghc-%{version}/bin-package-db-*/libHSbin-package-db-*.a
%exclude %{_libdir}/ghc-%{version}/bin-package-db-*/libHSbin-package-db-*_p.a

%dir %{_libdir}/ghc-%{version}/bytestring-*
%dir %{_libdir}/ghc-%{version}/bytestring-*/Data
%dir %{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString
%{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString/*.hi
%dir %{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString/Lazy
%{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString/Lazy/*.hi
%{_libdir}/ghc-%{version}/bytestring-*/Data/*.hi
%{_libdir}/ghc-%{version}/bytestring-*/HSbytestring-*.o
%{_libdir}/ghc-%{version}/bytestring-*/include
%{_libdir}/ghc-%{version}/bytestring-*/libHSbytestring-*.a
%exclude %{_libdir}/ghc-%{version}/bytestring-*/libHSbytestring-*_p.a

%dir %{_libdir}/ghc-%{version}/Cabal-*
%{_libdir}/ghc-%{version}/Cabal-*/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Compat
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Compat/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/PackageDescription
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/PackageDescription/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Build
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Build/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/GHC
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/GHC/*.hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/PreProcess
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/PreProcess/*.hi
%dir %{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Program
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Program/*.hi
%{_libdir}/ghc-%{version}/Cabal-*/HSCabal-*.o
%dir %{_libdir}/ghc-%{version}/Cabal-*/Language
%dir %{_libdir}/ghc-%{version}/Cabal-*/Language/Haskell
%{_libdir}/ghc-%{version}/Cabal-*/Language/Haskell/*.hi
%{_libdir}/ghc-%{version}/Cabal-*/libHSCabal-*.a
%exclude %{_libdir}/ghc-%{version}/Cabal-*/libHSCabal-*_p.a

%dir %{_libdir}/ghc-%{version}/binary-*
%dir %{_libdir}/ghc-%{version}/binary-*/Data
%{_libdir}/ghc-%{version}/binary-*/Data/*.hi
%dir %{_libdir}/ghc-%{version}/binary-*/Data/Binary
%{_libdir}/ghc-%{version}/binary-*/Data/Binary/*.hi
%dir %{_libdir}/ghc-%{version}/binary-*/Data/Binary/Builder
%{_libdir}/ghc-%{version}/binary-*/Data/Binary/Builder/*.hi
%{_libdir}/ghc-%{version}/binary-*/HSbinary-*.o
%{_libdir}/ghc-%{version}/binary-*/libHSbinary-*.a
%exclude %{_libdir}/ghc-%{version}/binary-*/libHSbinary-*_p.a

%dir %{_libdir}/ghc-%{version}/containers-*
%dir %{_libdir}/ghc-%{version}/containers-*/Data
%{_libdir}/ghc-%{version}/containers-*/Data/*.hi
%{_libdir}/ghc-%{version}/containers-*/HScontainers-*.o
%{_libdir}/ghc-%{version}/containers-*/libHScontainers-*.a
%exclude %{_libdir}/ghc-%{version}/containers-*/libHScontainers-*_p.a

%dir %{_libdir}/ghc-%{version}/directory-*
%{_libdir}/ghc-%{version}/directory-*/HSdirectory-*.o
%{_libdir}/ghc-%{version}/directory-*/include
%{_libdir}/ghc-%{version}/directory-*/libHSdirectory-*.a
%exclude %{_libdir}/ghc-%{version}/directory-*/libHSdirectory-*_p.a
%dir %{_libdir}/ghc-%{version}/directory-*/System
%{_libdir}/ghc-%{version}/directory-*/System/*.hi

%dir %{_libdir}/ghc-%{version}/extensible-exceptions-*
%dir %{_libdir}/ghc-%{version}/extensible-exceptions-*/Control
%dir %{_libdir}/ghc-%{version}/extensible-exceptions-*/Control/Exception
%{_libdir}/ghc-%{version}/extensible-exceptions-*/Control/Exception/*.hi
%{_libdir}/ghc-%{version}/extensible-exceptions-*/HSextensible-exceptions-*.o
%{_libdir}/ghc-%{version}/extensible-exceptions-*/libHSextensible-exceptions-*.a
%exclude %{_libdir}/ghc-%{version}/extensible-exceptions-*/libHSextensible-exceptions-*_p.a

%dir %{_libdir}/ghc-%{version}/filepath-*
%{_libdir}/ghc-%{version}/filepath-*/HSfilepath-*.o
%{_libdir}/ghc-%{version}/filepath-*/libHSfilepath-*.a
%exclude %{_libdir}/ghc-%{version}/filepath-*/libHSfilepath-*_p.a
%dir %{_libdir}/ghc-%{version}/filepath-*/System
%dir %{_libdir}/ghc-%{version}/filepath-*/System/FilePath
%{_libdir}/ghc-%{version}/filepath-*/System/FilePath/*.hi
%{_libdir}/ghc-%{version}/filepath-*/System/*.hi

%dir %{_libdir}/ghc-%{version}/ghc-prim-*
%dir %{_libdir}/ghc-%{version}/ghc-prim-*/GHC
%{_libdir}/ghc-%{version}/ghc-prim-*/GHC/*.hi
%{_libdir}/ghc-%{version}/ghc-prim-*/HSghc-prim-*.o
%{_libdir}/ghc-%{version}/ghc-prim-*/libHSghc-prim-*.a
%exclude %{_libdir}/ghc-%{version}/ghc-prim-*/libHSghc-prim-*_p.a

%dir %{_libdir}/ghc-%{version}/ghc-%{version}
%{_libdir}/ghc-%{version}/ghc-%{version}/*.hi
%{_libdir}/ghc-%{version}/ghc-%{version}/include
%{_libdir}/ghc-%{version}/ghc-%{version}/libHSghc-%{version}.a
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Llvm
%{_libdir}/ghc-%{version}/ghc-%{version}/Llvm/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/LlvmCodeGen
%{_libdir}/ghc-%{version}/ghc-%{version}/LlvmCodeGen/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/PPC
%{_libdir}/ghc-%{version}/ghc-%{version}/PPC/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/SPARC
%{_libdir}/ghc-%{version}/ghc-%{version}/SPARC/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/SPARC/CodeGen
%{_libdir}/ghc-%{version}/ghc-%{version}/SPARC/CodeGen/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/X86
%{_libdir}/ghc-%{version}/ghc-%{version}/X86/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Graph
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Graph/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/PPC
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/PPC/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/SPARC
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/SPARC/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/X86
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/X86/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Builtins
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Builtins/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Monad
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Monad/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Type
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Type/*.hi
%dir %{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Utils
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Utils/*.hi

%dir %{_libdir}/ghc-%{version}/haskell2010-*
%{_libdir}/ghc-%{version}/haskell2010-*/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/Control
%{_libdir}/ghc-%{version}/haskell2010-*/Control/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/Data
%{_libdir}/ghc-%{version}/haskell2010-*/Data/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/Foreign
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/Foreign/C
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/C/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/Foreign/Marshal
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/Marshal/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/System
%{_libdir}/ghc-%{version}/haskell2010-*/System/*.hi
%dir %{_libdir}/ghc-%{version}/haskell2010-*/System/IO
%{_libdir}/ghc-%{version}/haskell2010-*/System/IO/*.hi
%{_libdir}/ghc-%{version}/haskell2010-*/HShaskell2010-*.o
%{_libdir}/ghc-%{version}/haskell2010-*/libHShaskell2010-*.a
%exclude %{_libdir}/ghc-%{version}/haskell2010-*/libHShaskell2010-*_p.a

%dir %{_libdir}/ghc-%{version}/haskell98-*
%{_libdir}/ghc-%{version}/haskell98-*/*.hi
%{_libdir}/ghc-%{version}/haskell98-*/HShaskell98-*.o
%{_libdir}/ghc-%{version}/haskell98-*/libHShaskell98-*.a
%exclude %{_libdir}/ghc-%{version}/haskell98-*/libHShaskell98-*_p.a

%dir %{_libdir}/ghc-%{version}/hoopl-*
%dir %{_libdir}/ghc-%{version}/hoopl-*/Compiler
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/*.hi
%dir %{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl/*.hi
%dir %{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl/Passes
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl/Passes/*.hi
%{_libdir}/ghc-%{version}/hoopl-*/HShoopl-*.o
%{_libdir}/ghc-%{version}/hoopl-*/libHShoopl-*.a
%exclude %{_libdir}/ghc-%{version}/hoopl-*/libHShoopl-*_p.a

%dir %{_libdir}/ghc-%{version}/hpc-*
%{_libdir}/ghc-%{version}/hpc-*/HShpc-*.o
%{_libdir}/ghc-%{version}/hpc-*/libHShpc-*.a
%exclude %{_libdir}/ghc-%{version}/hpc-*/libHShpc-*_p.a
%dir %{_libdir}/ghc-%{version}/hpc-*/Trace
%dir %{_libdir}/ghc-%{version}/hpc-*/Trace/Hpc
%{_libdir}/ghc-%{version}/hpc-*/Trace/Hpc/*.hi

%dir %{_libdir}/ghc-%{version}/integer-*
%dir %{_libdir}/ghc-%{version}/integer-*/GHC
%{_libdir}/ghc-%{version}/integer-*/GHC/*.hi
%dir %{_libdir}/ghc-%{version}/integer-*/GHC/Integer
%{_libdir}/ghc-%{version}/integer-*/GHC/Integer/*.hi
%dir %{_libdir}/ghc-%{version}/integer-*/GHC/Integer/GMP
%{_libdir}/ghc-%{version}/integer-*/GHC/Integer/GMP/*.hi
%dir %{_libdir}/ghc-%{version}/integer-gmp-*/GHC/Integer/Logarithms
%{_libdir}/ghc-%{version}/integer-gmp-*/GHC/Integer/Logarithms/*.hi
%{_libdir}/ghc-%{version}/integer-*/HSinteger-*.o
%{_libdir}/ghc-%{version}/integer-*/libHSinteger-*.a
%exclude %{_libdir}/ghc-%{version}/integer-*/libHSinteger-*_p.a

%dir %{_libdir}/ghc-%{version}/old-locale-*
%{_libdir}/ghc-%{version}/old-locale-*/HSold-locale-*.o
%{_libdir}/ghc-%{version}/old-locale-*/libHSold-locale-*.a
%exclude %{_libdir}/ghc-%{version}/old-locale-*/libHSold-locale-*_p.a
%dir %{_libdir}/ghc-%{version}/old-locale-*/System
%{_libdir}/ghc-%{version}/old-locale-*/System/*.hi

%dir %{_libdir}/ghc-%{version}/old-time-*
%{_libdir}/ghc-%{version}/old-time-*/HSold-time-*.o
%{_libdir}/ghc-%{version}/old-time-*/include
%{_libdir}/ghc-%{version}/old-time-*/libHSold-time-*.a
%exclude %{_libdir}/ghc-%{version}/old-time-*/libHSold-time-*_p.a
%dir %{_libdir}/ghc-%{version}/old-time-*/System
%{_libdir}/ghc-%{version}/old-time-*/System/*.hi

%dir %{_libdir}/ghc-%{version}/pretty-*
%{_libdir}/ghc-%{version}/pretty-*/HSpretty-*.o
%{_libdir}/ghc-%{version}/pretty-*/libHSpretty-*.a
%exclude %{_libdir}/ghc-%{version}/pretty-*/libHSpretty-*_p.a
%dir %{_libdir}/ghc-%{version}/pretty-*/Text
%{_libdir}/ghc-%{version}/pretty-*/Text/*.hi
%dir %{_libdir}/ghc-%{version}/pretty-*/Text/PrettyPrint
%{_libdir}/ghc-%{version}/pretty-*/Text/PrettyPrint/*.hi

%dir %{_libdir}/ghc-%{version}/process-*
%{_libdir}/ghc-%{version}/process-*/HSprocess-*.o
%{_libdir}/ghc-%{version}/process-*/include
%{_libdir}/ghc-%{version}/process-*/libHSprocess-*.a
%exclude %{_libdir}/ghc-%{version}/process-*/libHSprocess-*_p.a
%dir %{_libdir}/ghc-%{version}/process-*/System
%{_libdir}/ghc-%{version}/process-*/System/*.hi
%dir %{_libdir}/ghc-%{version}/process-*/System/Process
%{_libdir}/ghc-%{version}/process-*/System/Process/*.hi

#%dir %{_libdir}/ghc-%{version}/random-*
#%{_libdir}/ghc-%{version}/random-*/HSrandom-*.o
#%{_libdir}/ghc-%{version}/random-*/libHSrandom-*.a
#%exclude %{_libdir}/ghc-%{version}/random-*/libHSrandom-*_p.a
#%dir %{_libdir}/ghc-%{version}/random-*/System
#%{_libdir}/ghc-%{version}/random-*/System/*.hi

#%dir %{_libdir}/ghc-%{version}/syb-*
#%dir %{_libdir}/ghc-%{version}/syb-*/Data
##%dir %{_libdir}/ghc-%{version}/syb-*/Data/Generics
#%{_libdir}/ghc-%{version}/syb-*/Data/Generics/*.hi
#%{_libdir}/ghc-%{version}/syb-*/Data/*.hi
#%{_libdir}/ghc-%{version}/syb-*/HSsyb-*.o
#%{_libdir}/ghc-%{version}/syb-*/libHSsyb-*.a
#%exclude %{_libdir}/ghc-%{version}/syb-*/libHSsyb-*_p.a

%dir %{_libdir}/ghc-%{version}/template-haskell-*
%{_libdir}/ghc-%{version}/template-haskell-*/HStemplate-haskell-*.o
%dir %{_libdir}/ghc-%{version}/template-haskell-*/Language
%dir %{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/*.hi
%dir %{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH/*.hi
%dir %{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH/Syntax
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH/Syntax/*.hi
%{_libdir}/ghc-%{version}/template-haskell-*/libHStemplate-haskell-*.a
%exclude %{_libdir}/ghc-%{version}/template-haskell-*/libHStemplate-haskell-*_p.a

%dir %{_libdir}/ghc-%{version}/time-*
%dir %{_libdir}/ghc-%{version}/time-*/Data
%{_libdir}/ghc-%{version}/time-*/Data/*.hi
%dir %{_libdir}/ghc-%{version}/time-*/Data/Time
%dir %{_libdir}/ghc-%{version}/time-*/Data/Time/Calendar
%{_libdir}/ghc-%{version}/time-*/Data/Time/Calendar/*.hi
%dir %{_libdir}/ghc-%{version}/time-*/Data/Time/Clock
%{_libdir}/ghc-%{version}/time-*/Data/Time/Clock/*.hi
%dir %{_libdir}/ghc-%{version}/time-*/Data/Time/Format
%{_libdir}/ghc-%{version}/time-*/Data/Time/Format/*.hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/*.hi
%dir %{_libdir}/ghc-%{version}/time-*/Data/Time/LocalTime
%{_libdir}/ghc-%{version}/time-*/Data/Time/LocalTime/*.hi
%{_libdir}/ghc-%{version}/time-*/HStime-*.o
%{_libdir}/ghc-%{version}/time-*/include
%{_libdir}/ghc-%{version}/time-*/libHStime-*.a
%exclude %{_libdir}/ghc-%{version}/time-*/libHStime-*_p.a

%dir %{_libdir}/ghc-%{version}/unix-*
%{_libdir}/ghc-%{version}/unix-*/HSunix-*.o
%{_libdir}/ghc-%{version}/unix-*/include
%{_libdir}/ghc-%{version}/unix-*/libHSunix-*.a
%exclude %{_libdir}/ghc-%{version}/unix-*/libHSunix-*_p.a
%dir %{_libdir}/ghc-%{version}/unix-*/System
%{_libdir}/ghc-%{version}/unix-*/System/*.hi
%dir %{_libdir}/ghc-%{version}/unix-*/System/Posix
%dir %{_libdir}/ghc-%{version}/unix-*/System/Posix/DynamicLinker
%{_libdir}/ghc-%{version}/unix-*/System/Posix/DynamicLinker/*.hi
%{_libdir}/ghc-%{version}/unix-*/System/Posix/*.hi
%dir %{_libdir}/ghc-%{version}/unix-*/System/Posix/Process
%{_libdir}/ghc-%{version}/unix-*/System/Posix/Process/*.hi
%dir %{_libdir}/ghc-%{version}/unix-*/System/Posix/Signals
%{_libdir}/ghc-%{version}/unix-*/System/Posix/Signals/*.hi

%files prof
%defattr(644,root,root,755)
%{_libdir}/ghc-%{version}/libHS*_p.a
%{_libdir}/ghc-%{version}/array-*/Data/Array/IO/*.p_hi
%{_libdir}/ghc-%{version}/array-*/Data/Array/*.p_hi
%{_libdir}/ghc-%{version}/array-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/array-*/libHSarray-*_p.a
%{_libdir}/ghc-%{version}/base-*/Control/Concurrent/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Control/Exception/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Control/Monad/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Control/Monad/ST/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Control/Monad/ST/Lazy/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Control/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Data/STRef/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Data/Typeable/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Debug/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Foreign/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Foreign/C/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Foreign/Marshal/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Foreign/ForeignPtr/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/Conc/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/Event/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/Fingerprint/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/Float/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/IO/Encoding/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/IO/Handle/*.p_hi
%{_libdir}/ghc-%{version}/base-*/GHC/IO/*.p_hi
%{_libdir}/ghc-%{version}/base-*/libHSbase-*_p.a
%{_libdir}/ghc-%{version}/base-*/*.p_hi
%{_libdir}/ghc-%{version}/base-*/System/Console/*.p_hi
%{_libdir}/ghc-%{version}/base-*/System/IO/*.p_hi
%{_libdir}/ghc-%{version}/base-*/System/Mem/*.p_hi
%{_libdir}/ghc-%{version}/base-*/System/*.p_hi
%{_libdir}/ghc-%{version}/base-*/System/Posix/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Text/ParserCombinators/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Text/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Text/Read/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Text/Show/*.p_hi
%{_libdir}/ghc-%{version}/base-*/Unsafe/*.p_hi
%{_libdir}/ghc-%{version}/binary-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/binary-*/Data/Binary/*.p_hi
%{_libdir}/ghc-%{version}/binary-*/Data/Binary/Builder/*.p_hi
%{_libdir}/ghc-%{version}/binary-*/libHSbinary-*_p.a
%{_libdir}/ghc-%{version}/bin-package-db-*/Distribution/InstalledPackageInfo/*.p_hi
%{_libdir}/ghc-%{version}/bin-package-db-*/libHSbin-package-db-0.0.0.0_p.a
%{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString/Lazy/*.p_hi
%{_libdir}/ghc-%{version}/bytestring-*/Data/ByteString/*.p_hi
%{_libdir}/ghc-%{version}/bytestring-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/bytestring-*/libHSbytestring-*_p.a
%{_libdir}/ghc-%{version}/Cabal-*/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Compat/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/PackageDescription/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Build/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/GHC/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/PreProcess/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Distribution/Simple/Program/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/Language/Haskell/*.p_hi
%{_libdir}/ghc-%{version}/Cabal-*/libHSCabal-*_p.a
%{_libdir}/ghc-%{version}/containers-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/containers-*/libHScontainers-*_p.a
%{_libdir}/ghc-%{version}/directory-*/libHSdirectory-*_p.a
%{_libdir}/ghc-%{version}/directory-*/System/*.p_hi
%{_libdir}/ghc-%{version}/extensible-exceptions-*/Control/Exception/*.p_hi
%{_libdir}/ghc-%{version}/extensible-exceptions-*/libHSextensible-exceptions-*_p.a
%{_libdir}/ghc-%{version}/filepath-*/libHSfilepath-*_p.a
%{_libdir}/ghc-%{version}/filepath-*/System/FilePath/*.p_hi
%{_libdir}/ghc-%{version}/filepath-*/System/*.p_hi
%{_libdir}/ghc-%{version}/ghc-prim-*/GHC/*.p_hi
%{_libdir}/ghc-%{version}/ghc-prim-*/libHSghc-prim-*_p.a
%{_libdir}/ghc-%{version}/ghc-%{version}/libHSghc-%{version}_p.a
%{_libdir}/ghc-%{version}/ghc-%{version}/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/LlvmCodeGen/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Llvm/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/PPC/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Graph/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/PPC/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/SPARC/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/Linear/X86/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/RegAlloc/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/SPARC/CodeGen/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/SPARC/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Builtins/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Monad/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Type/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/Vectorise/Utils/*.p_hi
%{_libdir}/ghc-%{version}/ghc-%{version}/X86/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/Control/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/C/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/Foreign/Marshal/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/System/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/System/IO/*.p_hi
%{_libdir}/ghc-%{version}/haskell2010-*/libHShaskell2010-*_p.a
%{_libdir}/ghc-%{version}/haskell98-*/libHShaskell98-*_p.a
%{_libdir}/ghc-%{version}/haskell98-*/*.p_hi
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/*.p_hi
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl/*.p_hi
%{_libdir}/ghc-%{version}/hoopl-*/Compiler/Hoopl/Passes/*.p_hi
%{_libdir}/ghc-%{version}/hoopl-*/libHShoopl-*_p.a
%{_libdir}/ghc-%{version}/hpc-*/libHShpc-*_p.a
%{_libdir}/ghc-%{version}/hpc-*/Trace/Hpc/*.p_hi
%{_libdir}/ghc-%{version}/integer-*/GHC/Integer/*.p_hi
%{_libdir}/ghc-%{version}/integer-*/GHC/Integer/GMP/*.p_hi
%{_libdir}/ghc-%{version}/integer-*/GHC/Integer/Logarithms/*.p_hi
%{_libdir}/ghc-%{version}/integer-*/GHC/*.p_hi
%{_libdir}/ghc-%{version}/integer-*/libHSinteger-*_p.a
%{_libdir}/ghc-%{version}/old-locale-*/libHSold-locale-*_p.a
%{_libdir}/ghc-%{version}/old-locale-*/System/*.p_hi
%{_libdir}/ghc-%{version}/old-time-*/libHSold-time-*_p.a
%{_libdir}/ghc-%{version}/old-time-*/System/*.p_hi
%{_libdir}/ghc-%{version}/pretty-*/libHSpretty-*_p.a
%{_libdir}/ghc-%{version}/pretty-*/Text/*.p_hi
%{_libdir}/ghc-%{version}/pretty-*/Text/PrettyPrint/*.p_hi
%{_libdir}/ghc-%{version}/process-*/libHSprocess-*_p.a
%{_libdir}/ghc-%{version}/process-*/System/*.p_hi
%{_libdir}/ghc-%{version}/process-*/System/Process/*.p_hi
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/*.p_hi
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH/*.p_hi
%{_libdir}/ghc-%{version}/template-haskell-*/Language/Haskell/TH/Syntax/*.p_hi
%{_libdir}/ghc-%{version}/template-haskell-*/libHStemplate-haskell-*_p.a
%{_libdir}/ghc-%{version}/time-*/Data/*.p_hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/Calendar/*.p_hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/Clock/*.p_hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/Format/*.p_hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/LocalTime/*.p_hi
%{_libdir}/ghc-%{version}/time-*/Data/Time/*.p_hi
%{_libdir}/ghc-%{version}/time-*/libHStime-*_p.a
%{_libdir}/ghc-%{version}/unix-*/libHSunix-*_p.a
%{_libdir}/ghc-%{version}/unix-*/System/*.p_hi
%{_libdir}/ghc-%{version}/unix-*/System/Posix/DynamicLinker/*.p_hi
%{_libdir}/ghc-%{version}/unix-*/System/Posix/*.p_hi
%{_libdir}/ghc-%{version}/unix-*/System/Posix/Process/*.p_hi
%{_libdir}/ghc-%{version}/unix-*/System/Posix/Signals/*.p_hi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc.spec,v $
Revision 1.127  2011/09/27 09:15:22  baggins
- rel 2
- added missing dir

Revision 1.126  2011/09/26 21:49:17  baggins
- rel 1
- better TODO

Revision 1.125  2011/09/26 21:09:02  baggins
- updated files
- parallel build seems to work
- ld.gold sucks

Revision 1.124  2011/09/26 17:17:12  baggins
- fix win/dos paths being interpreted as tex commands

Revision 1.123  2011/09/26 11:04:24  baggins
- try ld.bfd

Revision 1.122  2011/09/26 10:01:00  baggins
- updated bootstrap packages md5sums

Revision 1.121  2011/09/26 09:58:55  baggins
- updated to 7.2.1

Revision 1.120  2011/09/02 08:28:29  arekm
- release 7

Revision 1.119  2011/09/02 06:45:51  arekm
- install dir

Revision 1.118  2011/09/02 06:39:21  arekm
- try to use ld.bfd due to https://bugzilla.redhat.com/show_bug.cgi?id=635935

Revision 1.117  2011/08/31 18:28:06  arekm
- release 6

Revision 1.116  2011/02/27 11:03:11  arekm
- rel 5; m4 macro fix from upstream

Revision 1.115  2011/02/24 10:47:28  glen
- use %ghc_pkg_recache macro with umask; rel 4

Revision 1.114  2010/10/03 12:12:11  glen
- release 3

Revision 1.113  2010/08/29 19:04:07  glen
- take care of package bin missing on package uninstall

Revision 1.112  2010/08/27 20:56:54  baggins
- rel 2
- internal ghc-binary is not the same thing as ghc-binary package

Revision 1.111  2010/08/27 12:22:03  baggins
- rel 1

Revision 1.110  2010/08/27 10:51:30  baggins
- parallel make still fails

Revision 1.109  2010/08/27 10:49:52  baggins
- merged from DEVEL
- S: ghc-haskell-platform

Revision 1.105.2.7  2010/08/27 10:33:46  baggins
- package cache can be overwritten as it'll be regenerated in post

Revision 1.105.2.6  2010/08/26 23:33:25  baggins
- removed outdated (gmp) and invalid (ffi) TODO

Revision 1.105.2.5  2010/08/26 23:07:27  baggins
- more doc BRs

Revision 1.105.2.4  2010/08/26 19:32:55  baggins
- try setting sane packege install directory

Revision 1.105.2.3  2010/08/22 13:26:07  baggins
- updated files
- properly (don't) package profile libraries

Revision 1.105.2.2  2010/08/21 11:10:53  baggins
- updated to 6.12.3
- separate make targets for docs no longer exist
- updated BRs
- parallel make seem to work again
- extralibs has been moved to haskell-plaform
- files need to be updated

Revision 1.105.2.1  2010/04/08 15:31:54  baggins
- moved to DEVEL, I smell gcc problems

Revision 1.108  2010/05/16 01:05:12  sparky
- BR: binutils-devel, elfutils-devel, pkgconfig
- dropped unused BR: OpenAL-devel, OpenGL-GLU-devel, OpenGL-devel,
  OpenGL-glut-devel, freealut-devel

Revision 1.107  2010/04/08 15:36:54  baggins
- ghc-pkg hack no longer needed

Revision 1.106  2010/04/08 15:33:53  baggins
- restored 6.10 on HEAD, 6.12 seems to have issues with our gcc

Revision 1.105  2010/04/08 15:30:04  baggins
- fix ncurses problems
- parallel build stopped working

Revision 1.104  2010/04/08 14:14:51  baggins
- updated md5sum
- removed obsolete patch
- added pld specific fix

Revision 1.103  2010/04/08 13:39:59  baggins
- up to 6.12.1, extralibs no longer exist

Revision 1.102  2010/04/08 12:52:51  baggins
- restored build options

Revision 1.101  2010/04/07 15:16:06  baggins
- rel 5

Revision 1.100  2010/04/07 13:27:19  baggins
- rel 4

Revision 1.99  2010/01/15 20:29:12  sparky
- don't use %{?without_...} - it may not work after inverting bcond

Revision 1.98  2009/11/25 23:24:11  baggins
- rel 3

Revision 1.97  2009/11/25 23:23:09  baggins
- removed null statement

Revision 1.96  2009/11/25 22:41:39  baggins
- O/P/BR cleanup

Revision 1.95  2009/11/25 20:39:19  baggins
- rel 2
- rebuild without bootstrap

Revision 1.94  2009/11/25 07:42:28  glen
- %_docdir

Revision 1.93  2009/11/25 07:20:24  arekm
- s/nosource/source

Revision 1.92  2009/11/25 00:50:25  baggins
- test failed

Revision 1.91  2009/11/25 00:48:19  baggins
- test

Revision 1.90  2009/11/25 00:37:54  baggins
- rel 1

Revision 1.89  2009/11/25 00:28:33  baggins
- use DESTDIR or we'll get buildroot all over the installed package

Revision 1.88  2009/11/24 23:59:10  baggins
- files cleaned up

Revision 1.87  2009/11/24 22:18:26  baggins
- attempt to clean up files  (at least now all is packaged)
- ghc wants datadir = libdir, let him
- haddock is now part of ghc

Revision 1.86  2009/09/07 00:06:11  atler
- update previous changelog

Revision 1.85  2009/09/07 00:03:59  atler
- up to 6.10.4
- compiles but %files still need to be reorganized
- update todo

Revision 1.84  2009/05/08 11:30:15  glen
- old build changes

Revision 1.83  2009/03/19 10:32:28  glen
- some progress with bootstrap, but pkg check failures now
- added extralibs bcond

Revision 1.82  2009/03/03 15:38:01  baggins
- removed outdated patch (archs not supported)
- removed automagic (no longer needed)

Revision 1.81  2009/03/03 15:13:37  baggins
- alpha and sparc no longer supported

Revision 1.80  2009/02/24 10:41:55  arekm
- up to 6.10.1; doesn't build

Revision 1.79  2008/04/09 12:54:26  baggins
- removed outdated patches

Revision 1.78  2008-04-09 12:49:35  baggins
- started update to 6.8.2

Revision 1.77  2008-02-25 08:21:19  glen
- error from th-x86_64, the others probably follow

Revision 1.76  2008-02-25 08:19:03  glen
- i have no mana to bootstrap th-ppc, doesn't build anyway

Revision 1.75  2008-02-25 08:13:02  glen
- add patch for perl 5.10.0

Revision 1.74  2007-09-10 21:57:23  baggins
- rel 6
- missed a very important file, damn

Revision 1.73  2007/09/10 14:32:12  baggins
- rel 5
- fixed building with gcc 4.2.x
- disabled "unregistered" bcond

Revision 1.72  2007/06/26 15:48:31  qboosh
- added missing update information to changelog rev. 1.69

Revision 1.71  2007/06/26 15:19:15  arekm
- rebuild (no ppc)

Revision 1.70  2007/06/26 10:54:36  arekm
- rel 3; GhcWithInterpreter=yes

Revision 1.69  2007/06/26 06:22:50  arekm
- rel 2; do unregistered build due to ghc own problems with gcc 4.2
  [updated to 6.6.1]

Revision 1.68  2007/03/04 11:32:30  qrczak
- Cosmetics.

Revision 1.67  2007/02/26 10:59:48  ankry
- typo

Revision 1.66  2007/02/23 10:11:18  qrczak
- Added extra libraries (needed e.g. by darcs)
- Fixed tinfo linking (again)
- Fixed directories of installed html docs so hyperlinks work
- Release 3

Revision 1.65  2007/02/22 18:02:04  baggins
- rel 2
- fixed doc bcond

Revision 1.64  2007/02/21 13:40:35  qrczak
- BR: automake

Revision 1.63  2007/02/21 13:39:23  qrczak
- Update config.sub (again)

Revision 1.62  2007/02/21 13:36:23  qrczak
- Finished build & install scripts
- Generate html documentation of libraries with haddock
  (--without doc to turn off)
- Updated BR, description, and files list
- Release 1

Revision 1.61  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.59  2007/01/20 22:25:22  arekm
- update build to new way

Revision 1.58  2007/01/20 20:57:15  qboosh
- added missing update information to last changelog entry

Revision 1.57  2007/01/20 20:42:20  arekm
- 0.1; doesn't build on th
  [updated to 6.6]

Revision 1.56  2005/11/01 11:18:57  arekm
- rel 2

Revision 1.55  2005/10/18 20:40:42  arekm
- add BR: docbook-style-xsl

Revision 1.54  2005/10/18 07:37:09  qboosh
- updated files (only archs with ghci have HS*.o); builds on alpha now
- don't package *.p_hi twice

Revision 1.53  2005/10/18 06:13:03  arekm
- BR: libxslt-progs

Revision 1.52  2005/10/17 12:41:08  qboosh
- added bootstrap bcond, fixed shellglob

Revision 1.51  2005/10/17 09:05:52  arekm
- up to 6.4.1

Revision 1.50  2005/09/18 18:07:12  arekm
- rel 2

Revision 1.49  2005/09/18 18:03:46  arekm
- fix powerpc build

Revision 1.48  2005/09/17 10:37:00  arekm
- rel 1

Revision 1.47  2005/07/04 21:18:19  qboosh
- x8664 macro includes amd64

Revision 1.46  2005/07/03 19:59:09  undefine
- up to 6.4
- some cleanup
- use html docs
- not tested on all archs - rel 0.1

Revision 1.45  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.44  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.43  2005/03/22 14:24:14  zboczuch
- typo in pl desc

Revision 1.42  2004/12/05 12:57:21  qboosh
- alpha must be unregisterised (mangler can't deal with modern binutils)

Revision 1.41  2004/12/01 23:00:58  qboosh
- BR: tetex-metafont

Revision 1.40  2004/12/01 08:12:49  undefine
- specify all directories, release 3

Revision 1.39  2004/12/01 06:18:08  undefine
- release 2 to rebuild with new generated ghc/alex/happy

Revision 1.38  2004/11/30 00:37:23  undefine
- release 1, exclusivearch: ix86/amd64/ppc/sparc.
- alpha is still missing, but i have no idea how to compile it there

Revision 1.37  2004/11/29 21:48:01  undefine
- disable object split on ppc. ppc works ;)

Revision 1.36  2004/11/27 13:16:53  qboosh
- __cc fix, BR: tetex-dvips

Revision 1.35  2004/11/24 08:01:56  undefine
- use unregistered on sparc too. probably on others archs will be similary

Revision 1.34  2004/11/24 08:00:26  undefine
- kill subshell

Revision 1.33  2004/11/23 20:50:46  undefine
- BR: tetex-format-latex

Revision 1.32  2004/11/23 09:44:28  undefine
- amd64 port:
  - disable splited object
  - only unregistered builds
- works, and compile yourself

Revision 1.31  2004/11/22 16:52:25  undefine
- up to 6.2.2, rel 0.1

Revision 1.30  2004/06/10 17:12:45  arekm
- ups

Revision 1.29  2004/06/10 17:11:48  arekm
- icons in datadir

Revision 1.28  2004/06/10 14:51:21  arekm
- our ar doesn't support -input and returns 0 even for bad options

Revision 1.27  2004/06/10 09:25:27  arekm
- trying to update to 6.2.1

Revision 1.26  2004/06/10 09:03:46  arekm
- apply debian patch

Revision 1.25  2004/06/10 07:18:50  zboczuch
- pl fix

Revision 1.24  2004/06/10 01:14:56  arekm
- just autoconf

Revision 1.23  2004/06/10 01:11:42  arekm
- other archs support

Revision 1.22  2004/03/01 12:50:26  baggins
- finished update to 6.2

Revision 1.21  2004/02/24 01:11:55  ankry
- pl fixes, cosmetics

Revision 1.20  2004/02/17 16:06:05  baggins
- started update to 6.2

Revision 1.19  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:47:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.16  2002/10/07 11:23:57  qboosh
- BR: autoconf; new %doc

Revision 1.15  2002/05/21 23:13:09  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:23:03  arturs
- fixed a small typo

Revision 1.13  2002/03/27 12:06:17  roman
- s/BSD style/BSD-like in License

Revision 1.12  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/04 23:53:52  filon
- updated to 5.02.1
- added buildrequires
- updated DESTDIR patch
- use autoconf now
- changes/fixes in docs and files
- pass %{__cc} as gcc for confiugre script
- cleanup

Revision 1.8  2001/11/29 08:41:28  qboosh
- adapterized, pl translations, removed empty %doc line; release 2

Revision 1.7  2001/09/25 19:40:13  pawelk
- added some missing files

Revision 1.6  2001/09/18 17:49:10  baggins
- buildrequires happy >= 1.9

Revision 1.5  2001/08/06 18:23:42  pawelk
- it works, it works ! (at least is seems to)

Revision 1.4  2001/06/26 15:23:32  pawelk
- do 'make install' before 'make install-dirs'
  NFY

Revision 1.3  2001/06/25 17:17:49  pawelk
- version 5.00.2

Revision 1.2  2001/06/24 22:17:15  pawelk
- version 5.00.1
  i've started building it 6h30m ago and it's stil building on by
  k6-2/300, so i'm not sure if this is correct (but I hope so)

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
